Skip to main content
POST
/
wallet_transactions
Top up a wallet
curl --request POST \
  --url https://core.nozle.app/api/v1/wallet_transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "wallet_transaction": {
    "wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "name": "Tokens for models 'high-fidelity-boost'",
    "paid_credits": "20.0",
    "granted_credits": "10.0",
    "voided_credits": "5.0",
    "invoice_requires_successful_payment": false,
    "ignore_paid_top_up_limits": false,
    "invoice_custom_section": {
      "skip_invoice_custom_sections": false,
      "invoice_custom_section_codes": [
        "eu_bank_details"
      ]
    },
    "payment_method": {
      "payment_method_type": "provider",
      "payment_method_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
    },
    "metadata": [
      {
        "key": "example key",
        "value": "example value"
      },
      {
        "key": "another key",
        "value": "another value"
      }
    ]
  }
}
EOF
{
  "wallet_transactions": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_credit_note_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_voided_invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "status": "settled",
      "source": "manual",
      "transaction_status": "purchased",
      "transaction_type": "inbound",
      "amount": "10.0",
      "credit_amount": "100.0",
      "invoice_requires_successful_payment": false,
      "metadata": [
        {
          "key": "example key",
          "value": "example value"
        },
        {
          "key": "another key",
          "value": "another value"
        }
      ],
      "remaining_amount_cents": 5000,
      "remaining_credit_amount": "5.0",
      "priority": 50,
      "settled_at": "2022-04-29T08:59:51Z",
      "failed_at": "2022-04-29T08:59:51Z",
      "created_at": "2022-04-29T08:59:51Z",
      "name": "Tokens for models 'high-fidelity-boost'",
      "payment_method": {
        "payment_method_type": "provider",
        "payment_method_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
      },
      "applied_invoice_custom_sections": [
        {
          "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
          "created_at": "2023-07-06T14:35:58Z",
          "invoice_custom_section": {
            "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
            "name": "EU Bank Details",
            "code": "eu_bank_details",
            "description": "This section contains the bank details for EU customers.",
            "details": "Bank Name: Lago Bank, IBAN: FR7630004000031234567890143",
            "display_name": "Bank Details:",
            "applied_to_organization": true,
            "organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
            "created_at": "2023-07-06T14:35:58Z"
          },
          "invoice_custom_section_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Wallet transaction payload

wallet_transaction
object
required

Response

Wallet transaction created

wallet_transactions
object[]